%define modname event
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A35_%{modname}.ini

Summary:	Event Scheduling Engine for PHP
Name:		php-%{modname}
Version:	2.0.1
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/event
Source0:	http://pecl.php.net/get/event-%{version}.tgz
Requires:	php-sockets
BuildRequires:	php-sockets
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	event-devel
Epoch:		1


%description
This is an extension to efficiently schedule IO, time and signal based events
using the best available IO notification mechanism for your system. This is a
port of libevent to the PHP infrastructure; the API is similar but not
identical.

%prep
%setup -q -n event-%{version}

%build
%serverbuild

phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-event-core \
    --with-event-pthreads \
    --with-event-extra \
    --with-event-openssl

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Feb 13 2017 mrambo3501 <mrambo3501> 1:2.0.1-2.mga6
+ Revision: 1086047
- rebuild for new libevent

* Tue Mar 22 2016 oden <oden> 1:2.0.1-1.mga6
+ Revision: 993985
- 2.0.1

* Thu Mar 03 2016 umeabot <umeabot> 1:2.0.0-0.RC2.2.mga6
+ Revision: 983892
- Rebuild for openssl

* Thu Feb 25 2016 oden <oden> 1:2.0.0-0.RC2.1.mga6
+ Revision: 978982
- 2.0.0RC2

* Fri Feb 12 2016 umeabot <umeabot> 1:1.8.1-7.mga6
+ Revision: 958359
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.8.1-6.mga5
+ Revision: 739151
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.8.1-5.mga5
+ Revision: 687119
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.8.1-4.mga5
+ Revision: 616547
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.8.1-3.mga4
+ Revision: 567611
- Rebuild for new PHP

* Mon Oct 21 2013 umeabot <umeabot> 1:1.8.1-2.mga4
+ Revision: 539574
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 oden <oden> 1:1.8.1-1.mga4
+ Revision: 492429
- 1.8.1

* Mon Sep 16 2013 oden <oden> 1:1.7.8-1.mga4
+ Revision: 480309
- 1.7.8

* Mon Sep 09 2013 oden <oden> 1:1.7.6-1.mga4
+ Revision: 476679
- 1.7.6

* Fri Aug 16 2013 oden <oden> 1:1.7.4-1.mga4
+ Revision: 466816
- 1.7.4

* Mon Aug 12 2013 oden <oden> 1:1.7.3-1.mga4
+ Revision: 465626
- 1.7.3

* Thu Aug 01 2013 oden <oden> 1:1.7.2-1.mga4
+ Revision: 462131
- fix build
- 1.7.2

* Sat Jan 19 2013 fwang <fwang> 1:0.9.1-33.mga3
+ Revision: 389807
- fix building with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.9.1-32.mga2
+ Revision: 223883
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:0.9.1-31.mga2
+ Revision: 185163
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1:0.9.1-30.mga1
+ Revision: 47873
- removed buildroot definition from .spec
- imported package php-event


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-30mdv2011.0
+ Revision: 629785
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-29mdv2011.0
+ Revision: 628096
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-28mdv2011.0
+ Revision: 600479
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-27mdv2011.0
+ Revision: 588764
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-26mdv2010.1
+ Revision: 514534
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-25mdv2010.1
+ Revision: 485355
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-24mdv2010.1
+ Revision: 468161
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-23mdv2010.0
+ Revision: 451266
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1:0.9.1-22mdv2010.0
+ Revision: 397515
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-21mdv2010.0
+ Revision: 376986
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-20mdv2009.1
+ Revision: 346421
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-19mdv2009.1
+ Revision: 341724
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-18mdv2009.1
+ Revision: 321722
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-17mdv2009.1
+ Revision: 310264
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-16mdv2009.0
+ Revision: 238391
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-15mdv2009.0
+ Revision: 200199
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-14mdv2008.1
+ Revision: 162221
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-13mdv2008.1
+ Revision: 107621
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-12mdv2008.0
+ Revision: 77539
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-11mdv2008.0
+ Revision: 39493
- use distro conditional -fstack-protector

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-10mdv2008.0
+ Revision: 21327
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-9mdv2007.0
+ Revision: 117581
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-8mdv2007.0
+ Revision: 78156
- fix deps

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-7mdv2007.0
+ Revision: 78067
- rebuilt for php-5.2.0
- Import php-event

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-6
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-5mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.1-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.9.1-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.9.1-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.1-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.9.1-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.1-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.9.1-1mdk
- initial Mandrakelinux package

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.9.1-1mdk
- initial mandrake package
- added P0

